Page MenuHomePhabricator

efl.content
Closed, ResolvedPublic

Description

|interface Efl.Content
|├ (P) content
|├ (M) content_unset
zmike created this task.Jan 8 2019, 11:53 AM
zmike triaged this task as TODO priority.
segfaultxavi moved this task from Backlog to Evaluating on the efl: api board.Feb 5 2019, 4:06 AM

Simple, nice and symmetrical. Unlike its sibling Efl.Container (evaluated in T7576), I see no problem with this API.

Maybe, just for completeness' sake, we could add content,added and content,removed events, just like Efl.Container has, even though I understand nobody will use them right now.

zmike moved this task from Evaluating to "easy" on the efl: api board.Feb 6 2019, 5:37 AM

As @zmike pointed out on IRC, we cannot use the same event names as Efl.Container as they might conflict, so I suggest content,set and content,unset instead.

With that patch, this interface looks fine to me.

zmike moved this task from "easy" to needs patch on the efl: api board.Feb 11 2019, 10:47 AM
zmike moved this task from needs patch to Stabilized on the efl: api board.Feb 15 2019, 6:43 AM
bu5hm4n raised the priority of this task from TODO to Normal.Feb 22 2019, 1:19 AM
zmike closed this task as Resolved.Mar 11 2019, 10:47 AM
zmike claimed this task.